function []=ForceSameScaleInFigs(FigHandleVector,MinMaxScale)

NFigs=length(FigHandleVector);
NSubPlots=length(get(FigHandleVector(1),'Children'))
SubPlotScales=zeros(NSubPlots,4,NFigs);
MinMaxSubPlotScales=zeros(NSubPlots,4,NFigs);

for i=1:NFigs
    figure(FigHandleVector(i))
    SubPlots=get(gcf,'Children');
    for j=1:NSubPlots
        for j=1:NSubPlots
            SubPlotScales(j,1:2,i)=get(SubPlots(j),'xlim');
            SubPlotScales(j,3:4,i)=get(SubPlots(j),'ylim');
        end
    end
end

SubPlotScales
for i=1:NFigs
    MinMaxSubPlotScales(:,1,i)=inf*ones(NSubPlots,1);
    MinMaxSubPlotScales(:,2,i)=-inf*ones(NSubPlots,1);
    MinMaxSubPlotScales(:,3,i)=inf*ones(NSubPlots,1);
    MinMaxSubPlotScales(:,4,i)=-inf*ones(NSubPlots,1);
end

for j=1:NSubPlots
    Temp=[];
    for i=1:NFigs
        MinMaxSubPlotScales(j,1,i)=min(MinMaxSubPlotScales(j,1,i),SubPlotScales(j,1,i));
        MinMaxSubPlotScales(j,2,i)=max(MinMaxSubPlotScales(j,2,i),SubPlotScales(j,2,i));
        MinMaxSubPlotScales(j,3,i)=min(MinMaxSubPlotScales(j,3,i),SubPlotScales(j,3,i));
        MinMaxSubPlotScales(j,4,i)=max(MinMaxSubPlotScales(j,4,i),SubPlotScales(j,4,i));
    end
end
MinMaxSubPlotScales
if MinMaxScale==0 % All figure axis are set to the first figure's axis.
    for i=2:NFigs
        figure(FigHandleVector(i))
        SubPlots=get(gcf,'Children');
        for j=1:NSubPlots
            set(SubPlots(j),'xlim',SubPlotScales(j,1:2,1))
            set(SubPlots(j),'ylim',SubPlotScales(j,3:4,1))
        end
    end
else
    for i=1:NFigs
        figure(FigHandleVector(i))
        SubPlots=get(gcf,'Children');
        for j=1:NSubPlots
            set(SubPlots(j),'xlim',MinMaxSubPlotScales(j,1:2,1))
            set(SubPlots(j),'ylim',MinMaxSubPlotScales(j,3:4,1))
        end
    end
    
end













